local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Afflicted", "Afflicted")
if not Addon then return end

local PERIOD = 9.9
local prev
local LRT = Rock("LibRockTimer-1.0")

function Addon:Start()
	prev = Afflicted.db.profile.showAnchors
	Afflicted.db.profile.showAnchors = true
	Afflicted:Reload()

	SlashCmdList["AFFLICTED"]("test")
	LRT:AddRepeatingTimer("AfflictedShakedown", PERIOD, function() SlashCmdList.AFFLICTED("test") end)
end

function Addon:Stop()
	LRT:RemoveTimer("AfflictedShakedown")
	Afflicted.db.profile.showAnchors = prev
	Afflicted:Reload()
	SlashCmdList["AFFLICTED"]("clear")
end
