local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Chronometer", "Chronometer")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 5
local TIMER_ID = "ChronometerShakedown"

function Addon:Start()
    
    -- show the anchor
    Chronometer.anchor:Show()
    
    -- start a test now
    Chronometer:RunTest()
    
    -- reschedule more tests at intervals
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, Chronometer.RunTest, Chronometer)
end

function Addon:Stop()
    
    -- stop scheduling tests
    self:RemoveTimer(TIMER_ID)

    -- hide the anchor
    Chronometer.anchor:Hide()
end