local NShakedown = NShakedown
local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-02-27 18:03:53 +1100 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Spellbreak", "Spellbreak")
if not Addon then return end

local prev
function Addon:Start()
	prev = Spellbreak.db.profile.locked
	Spellbreak.db.profile.locked = false

	Spellbreak:Reload()
end

function Addon:Stop()
	Spellbreak.db.profile.locked = prev

	Spellbreak:Reload()
end
