local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("XLoot", "XLoot")
if not Addon then return end

-- members
Addon.wasLocked = false

function Addon:Start()
    
    -- show and unlock the loot frame
    self.wasLocked = XLoot.opts.args.lock.get()
    XLoot.opts.args.lock.set(false)
    XLootFrame:Show()
end

function Addon:Stop()

    -- hide and lock the loot frame
    XLoot.opts.args.lock.set(self.wasLocked)
    XLootFrame:Hide()
end